using Misc;
using MultiLayout.UiModule;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Unity;

namespace FLY.Thick.Base.UI.OnInit
{
    /// <summary>
    /// LCUS1 USB继电器模块， 监听 单个报警服务 IWarningSystem2Service
    /// </summary>
    public class OnInitLcus1_One : IOnInit
    {
        public int Level { get; private set; }

        ParamDictionary paramDictionary;
        LCUS1 lcus1;
        FLY.OBJComponents.IService.IWarningSystem2Service warningService;
        public OnInitLcus1_One(
            ParamDictionary paramDictionary,
            FLY.OBJComponents.IService.IWarningSystem2Service warningService,
            LCUS1 lcus1,
            int lv = 1)
        {
            Level = lv;
            this.lcus1 = lcus1;
            this.paramDictionary = paramDictionary;
            this.warningService = warningService;
        }

        public void OnInit()
        {
            warningService.PropertyChanged += (s, e) =>
            {
                if (e.PropertyName == nameof(warningService.IsRinging))
                {
                    if (lcus1.Enable)
                    {
                        if (warningService.IsRinging)
                            lcus1.On();
                        else
                            lcus1.Off();
                    }
                }
            };
        }
    }
}
